org.red5.server.api.stream

## Enum IStreamFilenameGenerator.GenerationType

- java.lang.Object
- - java.lang.Enum<IStreamFilenameGenerator.GenerationType>
  - - org.red5.server.api.stream.IStreamFilenameGenerator.GenerationType

All Implemented Interfaces:
  Serializable, Comparable<IStreamFilenameGenerator.GenerationType>

Enclosing interface:
  IStreamFilenameGenerator

    public static enum IStreamFilenameGenerator.GenerationType
    extends Enum<IStreamFilenameGenerator.GenerationType>

Possible filename generation types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PLAYBACK`
`RECORD`

### Method Summary

Methods
`static IStreamFilenameGenerator.GenerationType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IStreamFilenameGenerator.GenerationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PLAYBACK

    public static final IStreamFilenameGenerator.GenerationType PLAYBACK

#### RECORD

    public static final IStreamFilenameGenerator.GenerationType RECORD

### Method Detail

#### values

    public static IStreamFilenameGenerator.GenerationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IStreamFilenameGenerator.GenerationType c : IStreamFilenameGenerator.GenerationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IStreamFilenameGenerator.GenerationType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null